Qt Reference Documentation

# QSqlDriverCreatorBase Class Reference

The QSqlDriverCreatorBase class is the base class for SQL driver factories. More...

     #include <QSqlDriverCreatorBase>

Inherited by: QSqlDriverCreator.

- List of all members, including inherited members

## Public Functions

virtual | ~QSqlDriverCreatorBase ()
virtual QSqlDriver * | createObject () const = 0

## Detailed Description

The QSqlDriverCreatorBase class is the base class for SQL driver factories.

Reimplement createObject() to return an instance of the specific QSqlDriver subclass that you want to provide.

See QSqlDatabase::registerSqlDriver() for details.

See also QSqlDriverCreator.

## Member Function Documentation

### QSqlDriverCreatorBase::~QSqlDriverCreatorBase ()`[virtual]`

Destroys the SQL driver creator object.

### QSqlDriver * QSqlDriverCreatorBase::createObject () const`[pure virtual]`

Reimplement this function to returns a new instance of a QSqlDriver subclass.